#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long int v,br,temp;
    long long int najveca1 = 1;
    long long int najveca2 = 2;
    long long int najveca5 = 5;
    scanf("%lld", &v);
    temp = v;


    //############################################//
    //###                                      ###//
    //### ODREDJIVANJE NAJVECIH NOVCANICA ZA V ###//
    //###                                      ###//
    //############################################//

    while(v/(najveca1*10) > 0)
        	najveca1 = najveca1*10;
    while (v/(najveca2*10) > 0)
        	najveca2 = najveca2*10;
    while (v/(najveca5*10) > 0)
        	najveca5 = najveca5*10;

    //printf("%lld\n %lld\n %lld", najveca1,najveca2,najveca5);



    return 0;
}